Yii Framework 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1129727 漏洞类型 跨站请求伪造
发布时间 2018-01-23 更新时间 2020-07-22
CVE编号 CVE-2018-6009 CNNVD-ID CNNVD-201801-847
漏洞平台 N/A CVSS评分 6.8
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201801-847
|漏洞详情
Yii是Yii团队的Yii是Yii团队开发的一套基于组件、用于开发大型Web应用的高性能PHP框架。 Yii Framework 2.0.14之前的2.x版本中存在跨站请求伪造漏洞,该漏洞源于在用户身份更换之后,web/User.php文件的‘switchIdentity’函数没有重新产生跨站请求伪造令牌。攻击者可利用该漏洞执行未授权的操作。
|参考资料

来源:CONFIRM
链接:https://github.com/yiisoft/yii2/commit/6c0540aa2d6e0fe0fa89e4fd35bba4be5d6cece7